Package org.apache.storm.coordination

## Class BatchOutputCollectorImpl

- java.lang.Object
- - org.apache.storm.coordination.BatchOutputCollector
  - - org.apache.storm.coordination.BatchOutputCollectorImpl

-     public class BatchOutputCollectorImpl
      extends BatchOutputCollector

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchOutputCollectorImpl​(OutputCollector collector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ack​(Tuple tup)` |
    `List<Integer>` | `emit​(String streamId, List<Object> tuple)` |
    `void` | `emitDirect​(int taskId, String streamId, List<Object> tuple)` |
    `void` | `fail​(Tuple tup)` |
    `void` | `flush()` | Flush any buffered tuples (when batching is enabled).
    `void` | `reportError​(Throwable error)` |

    - ### Methods inherited from class org.apache.storm.coordination.BatchOutputCollector

      `emit, emitDirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchOutputCollectorImpl

          public BatchOutputCollectorImpl​(OutputCollector collector)

  - ### Method Detail

    - #### emit

          public List<Integer> emit​(String streamId,
                                    List<Object> tuple)

      Specified by:
        `emit` in class `BatchOutputCollector`

    - #### emitDirect

          public void emitDirect​(int taskId,
                                 String streamId,
                                 List<Object> tuple)

      Specified by:
        `emitDirect` in class `BatchOutputCollector`

    - #### flush

          public void flush()

      Description copied from class: `BatchOutputCollector`
      Flush any buffered tuples (when batching is enabled).
      Specified by:
        `flush` in class `BatchOutputCollector`

    - #### reportError

          public void reportError​(Throwable error)

      Specified by:
        `reportError` in class `BatchOutputCollector`

    - #### ack

          public void ack​(Tuple tup)

    - #### fail

          public void fail​(Tuple tup)